Package org.eclipse.m2m.atl.engine.vm

## Class InstanceNativeOperation

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.Operation
      - - org.eclipse.m2m.atl.engine.vm.NativeOperation
        - - org.eclipse.m2m.atl.engine.vm.InstanceNativeOperation

    public class InstanceNativeOperation
    extends NativeOperation

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.Operation

`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`InstanceNativeOperation​(java.lang.reflect.Method method, boolean translateTypes, boolean dontUseFrame, java.util.List parameters, ASMOclType returnType, ASMOclType contextType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ASMOclAny` `exec​(StackFrame frame)`
`java.util.List` `getParameters()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.NativeOperation

`getASMType, getContextSignature, getContextType, getMethod, getName, getReturnType, getSignature, registerOperations, registerOperations, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.Operation

`get`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstanceNativeOperation

    public InstanceNativeOperation​(java.lang.reflect.Method method,
                                   boolean translateTypes,
                                   boolean dontUseFrame,
                                   java.util.List parameters,
                                   ASMOclType returnType,
                                   ASMOclType contextType)

### Method Detail

#### exec

    public ASMOclAny exec​(StackFrame frame)

Description copied from class: `NativeOperation`

Specified by:
  `exec` in class `NativeOperation`
See Also:
  `Operation.exec(org.eclipse.m2m.atl.engine.vm.StackFrame)`

#### getParameters

    public java.util.List getParameters()

Overrides:
  `getParameters` in class `NativeOperation`